INSERT INTO MARINA_SEQUENCES (TABLENAME, FIELDNAME, SEQUENCE_NAME, COUNTER_TYPE)
VALUES ('NNPOPUST', 'ID_POPUST', 'NNPOPUST_SEQ', 'S_KLJUCI');

ALTER TABLE NNPOPUST
ADD ACTIVE VARCHAR2(1 CHAR) DEFAULT 'Y';

CREATE OR REPLACE VIEW V_NNPOPUST AS (
  SELECT NP.ID_POPUST, NP.STORITEV, NP.TIP, NP.OD_VRED, NP.DO_VRED, NP.POPUST, NP.NAMENPOPUST, NP.ID_ARTIKEL, NP.ZNESEK, NP.OPIS, NP.INTERNI_OPIS, NP.ACTIVE,
  MS.OPIS AS NNSTOMAR_OPIS, NNP.OPIS AS NNAMENPOPUST_OPIS, SA.NAZIV1 AS ARTIKEL_OPIS
  FROM NNPOPUST NP
  LEFT OUTER JOIN NNAMENPOPUST NNP ON NNP.SIFRA = NP.NAMENPOPUST
  LEFT OUTER JOIN M_NNSTOMAR MS ON MS.SIFRA = NP.STORITEV
  LEFT OUTER JOIN S_ARTIKLI SA ON SA.ID_ARTIKEL = NP.ID_ARTIKEL
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1838, SYSDATE, '5.5', 1758, 'Discounts')
;
